org.apache.ode.daohib.bpel.hobj

## Class HProcessInstance

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HProcessInstance

-     public class HProcessInstance
      extends HObject

  Hibernate table representing a BPEL process instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COUNT_FAILED_INSTANCES_BY_PROCESSES_IDS_AND_STATES`
    `static java.lang.String` | `COUNT_INSTANCES_BY_PROCESSES_IDS_AND_STATES`
    `static java.lang.String` | `SELECT_INSTANCES_BY_PROCESS`
    `static java.lang.String` | `SELECT_INSTANCES_BY_PROCESS_AND_STATES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HProcessInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivityFailureCount()`
    `java.util.Date` | `getActivityFailureDateTime()`
    `java.util.Collection<HActivityRecovery>` | `getActivityRecoveries()`
    `java.util.Collection<HCorrelationSet>` | `getCorrelationSets()`
    `java.util.Set<HCorrelatorSelector>` | `getCorrelatorSelectors()`
    `java.util.Collection<HBpelEvent>` | `getEvents()`
    `HFaultData` | `getFault()`
    `HCorrelator` | `getInstantiatingCorrelator()`
    `byte[]` | `getJacobState()`
    `java.util.Date` | `getLastActiveTime()`
    `java.util.Set<HMessageExchange>` | `getMessageExchanges()`
    `short` | `getPreviousState()`
    `HProcess` | `getProcess()`
    `java.lang.Long` | `getProcessId()`
    `java.util.Collection<HScope>` | `getScopes()`
    `long` | `getSequence()`
    `short` | `getState()`
    `void` | `setActivityFailureCount(int count)`
    `void` | `setActivityFailureDateTime(java.util.Date dateTime)`
    `void` | `setActivityRecoveries(java.util.Collection<HActivityRecovery> activityRecoveries)`
    `void` | `setCorrelationSets(java.util.Collection<HCorrelationSet> csets)`
    `void` | `setCorrelatorSelectors(java.util.Set<HCorrelatorSelector> selectors)`
    `void` | `setEvents(java.util.Collection<HBpelEvent> events)`
    `void` | `setFault(HFaultData fault)`
    `void` | `setInstantiatingCorrelator(HCorrelator instantiatingCorrelator)`
    `void` | `setJacobState(byte[] jacobState)`
    `void` | `setLastActiveTime(java.util.Date lastActiveTime)`
    `void` | `setMessageExchanges(java.util.Set<HMessageExchange> exchanges)`
    `void` | `setPreviousState(short previousState)`
    `void` | `setProcess(HProcess process)`
    `void` | `setProcessId(java.lang.Long processId)`
    `void` | `setScopes(java.util.Collection<HScope> scopes)`
    `void` | `setSequence(long seq)`
    `void` | `setState(short state)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COUNT_FAILED_INSTANCES_BY_PROCESSES_IDS_AND_STATES

          public static final java.lang.String COUNT_FAILED_INSTANCES_BY_PROCESSES_IDS_AND_STATES

      See Also:
        Constant Field Values

    - #### SELECT_INSTANCES_BY_PROCESS

          public static final java.lang.String SELECT_INSTANCES_BY_PROCESS

      See Also:
        Constant Field Values

    - #### SELECT_INSTANCES_BY_PROCESS_AND_STATES

          public static final java.lang.String SELECT_INSTANCES_BY_PROCESS_AND_STATES

      See Also:
        Constant Field Values

    - #### COUNT_INSTANCES_BY_PROCESSES_IDS_AND_STATES

          public static final java.lang.String COUNT_INSTANCES_BY_PROCESSES_IDS_AND_STATES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HProcessInstance

          public HProcessInstance()

  - ### Method Detail

    - #### getInstantiatingCorrelator

          public HCorrelator getInstantiatingCorrelator()

    - #### setInstantiatingCorrelator

          public void setInstantiatingCorrelator(HCorrelator instantiatingCorrelator)

    - #### getFault

          public HFaultData getFault()

    - #### setFault

          public void setFault(HFaultData fault)

    - #### getJacobState

          public byte[] getJacobState()

    - #### setJacobState

          public void setJacobState(byte[] jacobState)

    - #### getEvents

          public java.util.Collection<HBpelEvent> getEvents()

    - #### setEvents

          public void setEvents(java.util.Collection<HBpelEvent> events)

    - #### getCorrelatorSelectors

          public java.util.Set<HCorrelatorSelector> getCorrelatorSelectors()

    - #### setCorrelatorSelectors

          public void setCorrelatorSelectors(java.util.Set<HCorrelatorSelector> selectors)

      Parameters:
        `selectors` - the _correlatorSelectors to set

    - #### getMessageExchanges

          public java.util.Set<HMessageExchange> getMessageExchanges()

    - #### setMessageExchanges

          public void setMessageExchanges(java.util.Set<HMessageExchange> exchanges)

    - #### getPreviousState

          public short getPreviousState()

    - #### setPreviousState

          public void setPreviousState(short previousState)

    - #### getProcess

          public HProcess getProcess()

    - #### setProcess

          public void setProcess(HProcess process)

    - #### getProcessId

          public java.lang.Long getProcessId()

    - #### setProcessId

          public void setProcessId(java.lang.Long processId)

    - #### getScopes

          public java.util.Collection<HScope> getScopes()

    - #### setScopes

          public void setScopes(java.util.Collection<HScope> scopes)

    - #### getCorrelationSets

          public java.util.Collection<HCorrelationSet> getCorrelationSets()

    - #### setCorrelationSets

          public void setCorrelationSets(java.util.Collection<HCorrelationSet> csets)

    - #### getState

          public short getState()

    - #### setState

          public void setState(short state)

    - #### getLastActiveTime

          public java.util.Date getLastActiveTime()

    - #### setLastActiveTime

          public void setLastActiveTime(java.util.Date lastActiveTime)

    - #### setSequence

          public void setSequence(long seq)

    - #### getSequence

          public long getSequence()

    - #### getActivityRecoveries

          public java.util.Collection<HActivityRecovery> getActivityRecoveries()

    - #### setActivityRecoveries

          public void setActivityRecoveries(java.util.Collection<HActivityRecovery> activityRecoveries)

    - #### getActivityFailureCount

          public int getActivityFailureCount()

    - #### setActivityFailureCount

          public void setActivityFailureCount(int count)

    - #### getActivityFailureDateTime

          public java.util.Date getActivityFailureDateTime()

    - #### setActivityFailureDateTime

          public void setActivityFailureDateTime(java.util.Date dateTime)